org.bouncycastle.crypto.params

## Class AsymmetricKeyParameter

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter

All Implemented Interfaces:
  CipherParameters

Direct Known Subclasses:
  DHKeyParameters, DSAKeyParameters, ECKeyParameters, ElGamalKeyParameters, GOST3410KeyParameters, NaccacheSternKeyParameters, RSAKeyParameters

    public class AsymmetricKeyParameter
    extends java.lang.Object
    implements CipherParameters

### Constructor Summary

Constructors
Constructor and Description
`AsymmetricKeyParameter(boolean privateKey)`

### Method Summary

Methods
`boolean` `isPrivate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AsymmetricKeyParameter

    public AsymmetricKeyParameter(boolean privateKey)

### Method Detail

#### isPrivate

    public boolean isPrivate()